Installing software on a running system, either as binaries or from source. This is usually done using your system's package manager.

learn more… | top users | synonyms

1
vote
1answer
796 views

Cannot use EPEL repo, get NSS error -5990 (PR_IO_TIMEOUT_ERROR)

I'm using vagrant to start up a centOS 7.0 VM. My provisioner is trying to set up EPEL 7 via yum install epel-release -y and then trying to install ansible via yum install ansible -y It installs ...
1
vote
1answer
204 views

Install OpenSSL from source

I installed OpenSSL from source by: wget https://www.openssl.org/source/openssl-1.0.2h.tar.gz tar -xvzf openssl-1.0.0a.tar.gz cd openssl-1.0.0a/ ./config --prefix=/usr/local/openssl --openssldir=/usr/...
0
votes
1answer
1k views

How do I install drjava in linux from terminal?

I've downloaded drjava-stable-20100816-r5366.jar file which is the drjava version for Linux. How do I install it on my machine? I'm running Ubuntu 11.10. I have OpenJDK Java 6 runtime and Sun Java 6 ...
0
votes
0answers
13 views

FFTW Installation Error

I'm a newbie to Linux and I am trying to install FFTW-3.3.4 on my Mac OSX as a single precision. I am doing ./configure --enable-float but it gives me error as follows: checking how to get verbose ...
0
votes
0answers
80 views

LAMP on Knoppix

I am trying to use the setup at this link to set up a LAMP server on my Knoppix USB drive. I have seen in multiple places that Knoppix comes with Apache, MySQL, and PHP; however I am unable to find ...
1
vote
1answer
15 views

Android SDK on linux with NO GUI

I am working on a cloud based linux server and, sadly, I need to install the android SDK. It seems that the android SDK developers don't really recognize any OS that does not include a gui, as it ...
3
votes
3answers
61 views

How to install emacs 24.5 on linux mint

I'm trying to get the latest stable release of emacs on linux mint (emacs-24.5). But, for some reason apt-get only installs 24.3.1. I would usually be OK with that, but I'm trying to use spacemacs, ...
1
vote
2answers
2k views

Installing MySQL on CentOS throws error that cannot find mysqld.sock

I have yum install mysql in CentOS 6.4. Now, when I use mysql command, it throws the following error: ERROR 2002 (HY000): Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld....
0
votes
3answers
171 views

How to install Nginx while Apache running?

I am trying to install nginx as a backend proxy for Apache and I get this errors: === Install Nginx from official repositories === Loaded plugins: fastestmirror, remove-with-leaves, tsflags, ...
0
votes
2answers
1k views

install latest version of R 3.2.1 (World-Famous Astronaut) on Linux Mint 17.1 (MATE)

I have tried multiple ways (referencing multiple forum posts) to install the latest version of R (3.2.1 "World-Famous Astronaut") on Linux Mint 17.1 (MATE). I tried different sources lists, the most ...
2
votes
1answer
19 views

How do I get my app to appear in the Applications list?

I have created a .deb package that copies files to the /opt/MyAppName directory. However, it does not appear in the Applications list, and I am unsure how to make that happen. How do I make my app ...
0
votes
1answer
44 views

Package “packagename” has no installation candidate in Kali 2.0

I installed Kali 2.0 and when I try to install anything (ex :software-center) I have this problem: apt-get install software-center Reading package lists... Done Building dependency tree ...
0
votes
1answer
21 views

System upgrade conflicts

I'm getting a lot of conflicts when upgrading system. I can't remove these packages because many important packages depend on it. I really am not sure what to do now.
0
votes
0answers
20 views

Why is Qt not installed?

I have followed installation steps from https://wiki.qt.io/Install_Qt_5_on_Ubuntu When I try qmake -v qmake: could not exec '/usr/lib/x86_64-linux-gnu/qt4/bin/qmake': No such file or directory ...
0
votes
2answers
49 views

How to install specific mysql 5.6.21 version on redhat?

My requirement is Mysql 5.6.21. I tried to install Mysql but it installed 5.6.31 version. I tried following steps: $ yum repolist all | grep mysql It gives following output: mysql55-community/...
0
votes
0answers
286 views

How to Install PHP 5.3.7 On Godaddy Linux VPS using SSH [closed]

I have bought a New VPS from Godaddy. They supported PHP 5.3.5 earlier and then 5.4.34 but I need to use PHP 5.3.7 on my VPS.
-2
votes
1answer
232 views

E: sub-process /usr/bin/dpkg returned an error code (1) while updating php

I tried to update php to php5 and getting below errors. root@Ansible-VirtualBox:~# apt-get install -f Reading package lists... Done Building dependency tree Reading state information... Done ...
0
votes
2answers
1k views

Changing Desktop environment?

I am consodering a change from win7 to any linux distro, I prefer Linux Mint because it looks like windows to some extent( from pictures only, so I would like to give it a try). I want to know whether ...
3
votes
2answers
108 views

Installing Skype in Ubuntu

I'm new to Linux. I have Ubuntu 16.04 LTS installed. I'm trying to install Skype. I downloaded the package: skype-ubuntu-precise_4.3.0.37-1_i386 When I open the package, I'm taken to a window that ...
1
vote
0answers
24 views

Broken dependency for lvm2

I am on fresh Debian jessie system and trying to install lvm2: # apt-get install lvm2 The following packages have unmet dependencies: lvm2 : Depends: watershed (>= 2) but it is not going to be ...
0
votes
2answers
2k views

Installing netbeans on Scientific Linux- NoClassDefFoundError thrown from the UncaughtExceptionHandler in thread “main”

I'm installing netbeans 8.0.1 on Scientific Linux. I have executed the installer .sh but I get the error: java.lang.NoClassDefFoundError thrown from the UncaughtExceptionHandler in thread "main" ...
0
votes
0answers
14 views

libc-l10n package error

I was attempting to install katoolin and ran into some errors. When I run sudo apt-get update My output: zayascom_m1@Zayascom-mobile-1:~$ sudo apt-get update [sudo] passwor: Hit http://download....
1
vote
2answers
131 views

How to create *.run./*.bin file in Debian based distros

AMD distributes the Catalyst drivers as a *.run file that when ran extracts itself, builds and then installs the driver. Thing is the driver needs a patch for it to build successfully. I want to apply ...
27
votes
3answers
52k views

How to install program locally without sudo privileges?

Assume I have ssh access to some Ubuntu server as user and I need some not system tools to be installed for convenience (mc, rtorrent, mcedit). I do not want to bother admins for these small programs. ...
0
votes
2answers
123 views

acroread only runs as root

Note I already asked the exact same question here, with no success. I hope it's not a problem. I am working on a computer connected to a LDAP server. The computer is running under Linux Mint 17. I ...
0
votes
1answer
872 views

Downgrade Centos 7.2 to 7.1

I am currently using Centos 7.2.1511(check from file /etc/redhat-release) and trying to downgrade it to Centos 7.1.1503 (due to some package installation issue in centos 7.2) using the command yum ...
3
votes
1answer
187 views

No packages Apache and mod_wsgi3 have been found in the repositories

I'm trying to instal Apache24 and mod_wsgi3 to my FreeBSD VPS (droplet) with this command: sudo pkg install bash ap24-mod_wsgi3 py27-virtualenv mysql56-server but apparently 'ap24-mod_wsgi3' has ...
0
votes
1answer
450 views

Installing Ioncube loaders without issues CentOS 5.9 [closed]

Seem to be having issues installing Ioncube loaders on CentOS 5.9. I followed this guide to install Ioncube: but it's still not working on the site at all, I keep getting this error on BoxBilling, ...
1
vote
0answers
30 views

Domjudge keeps Not Authenticated [closed]

I am trying to install Domjudge in my VPS. After I run ./configure, make and config database I login at /public/login.php with the user/pass: judgehost/judge but it doesn't log me in. I try at /...
0
votes
2answers
3k views

error re-installing httpd on CentOS 7, how can I resolve it?

On a CentOS 7 server, I am encountering an error when trying to re-install httpd. How can I resolve this error and get httpd up and running again? Here is the first error that resulted when I ...
1
vote
1answer
100 views

Xampp installer Error

I tried to install xampp ver 5.5.24 on Debian using terminal, after setting it to run as executables in permissions with. ./xampp-linux-5.5.24-0-installer.run I get Segmentation fault Then I ...
1
vote
1answer
10 views

Getting htpassword for Red Hat [closed]

yum install httpd-tools doesn't work for me because of some admin privileges or firewall issues. I also tried some httpd-tools rpm (from this page http://rpmfind.net/linux/rpm2html/search.php?query=...
1
vote
0answers
38 views

How to install rJava Package in Linux Mint

I already have installed R, and Java in Linux Mint, to install rJava I used this command, in Rstudio- install.packages("rJava") it starts installing, but eventually it returns some errors and ...
0
votes
1answer
30 views
1
vote
1answer
524 views

cannot locate cacti files under /srv/www/cacti

I am installing cacti on SLES-11-SP2 following instructions on Open Suse Cacti guide but I cannot locate the cacti files under /srv/www/cacti after the installation. Do you have any idea where they ...
0
votes
2answers
210 views

Opencats installation error

I am trying to install opencats. While installing I am getting following error. What is the problem?
0
votes
1answer
1k views

How to install a2dissite and a2ensite on openSUSE 11.3?

I don't have the a2dissite and a2ensite commands on my openSUSE 11.3 webserver. How can I add them? I didn't find these commands with YAST. Maybe, because there are no openSUSE 11.3 repositories ...
0
votes
1answer
330 views

Installing Domjudge in Fedora 19

I tried to install Domjudge in Fedora 19 (based on its documentation) and it installed successfully but when I try to start it in browser (localhost/domjudge) I get the following error: Forbidden ...
2
votes
2answers
1k views

How do I add programs to a sabyon live USB?

How do I install software on a sabayon live USB and have that software persist after rebooting?
1
vote
2answers
47 views

Copy compiled application to another system

I compiled the latest version of netatalk (3.1.8) from source to replace the rather outdated version on my Raspberry Pi. This was quite successful, and I would like to use this version on other ...
0
votes
0answers
25 views

Where should the node_modules folder go? (Mint)

I'm just about to install Karma, Jasmine and NodeJS to start testing for AngularJS. I'm having a tough time figuring out where to put the node_modules folder. My question is split into two parts, does ...
0
votes
0answers
23 views

openBSC in linux

I've tried installing OpenBSC by following this guide http://openbsc.osmocom.org/trac/wiki/Building_OpenBSC I've gone through each of the steps (Building libosmocore, Building libosmo-abis etc). But ...
0
votes
0answers
16 views

install OpenBSC [duplicate]

I am installing OpenBSC.I just following this link (I am just Building libosmocore, Building libosmo-abis, Building libosmo-netif, Building OpenBSC and install library.) But when I tried to run ...
1
vote
1answer
3k views

MySQL aborting during initial db installation

Linux version: shell> cat /proc/version Linux version 3.2.0-4-686-pae (debian-kernel@lists.debian.org) (gcc version 4.6.3 (Debian 4.6.3-14) ) #1 SMP Debian 3.2.46-1+deb7u1 Installing MySQL 5.6....
5
votes
2answers
303 views

How to Install R's devtools and digitize?

I need devtools because I need the function install_github to install the non-CRAN package digitize here. I installed R by sudo apt-get install r-cran-robustbase I did not install R's packages ...
1
vote
1answer
2k views

Starting Tomcat Service when starting CentOS/RHEL/Fedora

I want to install tomcat 8 and run it at startup time I am following these tutorials: Install Tomcat 7 on CentOS, RHEL, or Fedora How to install Tomcat 8 on a CentOS 6 VPS I created the tomcat ...
6
votes
3answers
39k views

How to install g++ 4.7.2 & c++11 on CentOS 5.x?

I'm trying to install the latest stable g++ and c++11. My host did it through yum install and thought that it was the latest, but it's not, and they are now saying that this is beyond their level of ...
1
vote
2answers
58 views

Debian Wheezy: reinstall apache2

The apache2 package was broken on my debian server, so I started by uninstalling all apache2 related package. Now everything seems to be uninstalled properly. dpkg -l | grep 'apache' doesn't return ...
10
votes
2answers
13k views

Local installation of .rpms using YUM

I'm asking this question cautiously because I don't want to get this wrong. I have a program_name.rpm file saved locally on my server (CentOS 6.5). I have installed it previously just by navigating ...
3
votes
1answer
1k views

How to install Dropbox on Linux Mint 17.1 (ImportError: No module named os)

I'm not able to install/run Dropbox on Linux Mint 17.1. I installed dropbox package from repository (and also from archive on official site - same results): sudo apt-get install dropbox python-gpgme ...